Subject: Re: Revised IETF LLC Draft Strategic Plan 2020 to address feedback raised

From: Jay Daley <[email-masked]>
Date: Tue, 2 Jun 2020 15:48:20 +1200

All of your points are now addressed in the latest draft at 

	https://github.com/ietf-llc/strategy-2020-consultation/blob/latest-updates-from-consultation/DRAFT%20Strategic%20Plan%202020.md <https://github.com/ietf-llc/strategy-2020-consultation/blob/latest-updates-from-consultation/DRAFT%20Strategic%20Plan%202020.md>

Jay

> On 30/05/2020, at 8:59 AM, Eric Rescorla <[email-masked]> wrote:
> 
> 
> 
> On Fri, May 29, 2020 at 1:37 PM Jay Daley <[email-masked] <mailto:[email-masked]>> wrote:
> Eric
> 
>> On 30/05/2020, at 2:38 AM, Eric Rescorla <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> 
>> Jay,
>> 
>> Thanks for sending this. Some comments below. I've also sent
>> you a PR to convert the tables to Markdown, which would
>> make this rather easier to read.
> 
> I personally find html tables far easier to read and manipulate than markdown tables, which is why I used them but I’ll look at the PR to see how easy you’ve made them to read.
> 
> In my experience, they're much harder to diff.
> 
> 
>> > 6. To deliver a toolchain that is up-to-date and well regarded by users.
>> 
>> This seems in conflict with "evidence-led". Suppose the toolchain
>> was well-regarded by users but empirically less efficient than
>> other toolchains.
> 
> I’m not convinced that there is another toolchain we can measure against or that measured user satisfaction is that distant from empirical observation of efficiency.
>  
> As someone who has been at organizations that go through toolchain changes, I can tell you that very often the stakeholders have minimal experience with other toolchains and therefore their level of satisfaction is not related to whether those toolchains would be more efficient.
> 
> 
>> > Sponsors, in addition to supporting the IETF for the value it
>> > delivers, are also increasingly concerned about how the organisations
>> > they sponsor operate, how they treat their volunteers and staff and
>> > what opportunities they provide for a diverse range of new
>> > participants.  To be able to explain this, we need to document the
>> > participant journey, a map of the different stages of participation
>> > (e.g. newcomer, leadership), at what stages people start their
>> > participation in the IETF, how they transition between them and at
>> > what stages they end their participation.
>> 
>> There seems to be an implicit assumption here that people should
>> have a "career arc" in IETF that starts with newcomer and
>> ends with leadership, but I don't think that's obviously
>> true. Many of our most valuable contributors have never served
>> in leadership and some of them do lots of reviewing but not
>> a lot of RFC writing.
> 
> No implicit assumption at all.
> 
> The phrase "the participant journey" and the description of different stages implies that.
> 
> This is simply documenting what exists though admittedly that information could be used for that purpose if the community so desired (I have no views at all on whether it should or should not). 
> 
> Well, I don't know what it is you propose to document, so it's hard to know what I think about it. But given that this is unclear, perhaps either clarify it or document it.
> 
> -Ekr
> 

-- 
Jay Daley
IETF Executive Director
[email-masked]